/*
    Copyright (c) 2007 SIEGE Development Team
    All rights reserved.
    
    This file is part of libSIEGE.
    
    This software is copyrighted work licensed under the terms of the
    2-clause BSD license. Please consult the file "license.txt" for
    details.
    
    If you did not recieve the file with this program, please email
    Tim Chas <darkuranium@gmail.com>.
*/

#include "audio.h"
#include "buffer.h"
#include "source.h"

static PyMethodDef AudioMethods[] = {
    {NULL, NULL, 0, NULL}
};

void sgpyInitAudio(PyObject* parent)
{
    PyObject* audio = Py_InitModule("siege.audio", AudioMethods);
    if(parent != NULL)
        PyModule_AddObject(parent, "audio", audio);

    sgpyInitAudioBuffer(audio);
    sgpyInitAudioSource(audio);
}
